Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1091692 - [Network labels] Removal of labelled network from DC inconsistent with removal from cluster
Summary: [Network labels] Removal of labelled network from DC inconsistent with remova...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Martin Mucha
QA Contact: GenadiC
URL:
Whiteboard: network
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-04-27 10:14 UTC by GenadiC
Modified: 2016-02-10 19:54 UTC (History)
14 users (show)

Fixed In Version: vt3
Doc Type: Bug Fix
Doc Text:
Previously, when removing an labeled network from a data center directly, or removing an labeled network from a cluster first, then from the data center, the behavior was inconsistent. In the latter scenario, the network became an unmanaged network. With this update, when removing a labeled network, the behavior is the same in both scenarios and would not cause any networks to be left in an unmanaged state.
Clone Of:
Environment:
Last Closed: 2015-02-11 18:00:48 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 30795 master MERGED core: Removal of labelled network from DC inconsistent with removal from cluster Never
oVirt gerrit 32366 ovirt-engine-3.5 MERGED core: Removal of labelled network from DC inconsistent with removal from cluster Never

Description GenadiC 2014-04-27 10:14:16 UTC
Description of problem:
If you remove network attached to Host NIC with Network labels feature from DC level, you get unmanaged network with message: Unmanaged Network doesn't exist in Cluster.
Though this is a true message, when removing the network from the Cluster level only, the network doesn't become unmanaged on Host, but it disappears,
so the only possibility to get unmanaged network on Host with Network label is to remove it from the DC level.
That's why the message should be changed to Network doesn't exists on DC and Cluster level.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Attach network to Host by putting the same Network label on both
2. Remove network from DC
3.

Actual results:
The network becomes unmanaged with incorrect error message

Expected results:
The message should be Unmanaged Network doesn't exist in Cluster and DC

Additional info:

Comment 1 Lior Vernia 2014-05-26 11:20:53 UTC
I am less concerned about the error message, and more concerned about the inconsistent results of these two scenarios:

1. First removing network from cluster, then from DC.
2. Remove network directly from DC (and therefore from underlying clusters).

In my opinion, these two scenarios should produce identical results, yet from Genadi's description it sounds like (1) removes the network from hosts whereas (2) leaves it as unmanaged.

Comment 2 Lior Vernia 2014-06-26 13:35:26 UTC
When a network doesn't have a label, then the behavior is consistent when removing it either from a DC or from a cluster - it stays on the hosts and becomes unmanaged.

When the same operations are performed for a network with a label, I think the result should be the same - it is unclear to me why when removing from a cluster, we strip the label from the network first.

If we do want to maintain this behavior (although I find it confusing), I think we should do the same when removing a labelled network from a DC.

Comment 3 Moti Asayag 2014-06-26 18:31:07 UTC
(In reply to Lior Vernia from comment #2)
> When a network doesn't have a label, then the behavior is consistent when
> removing it either from a DC or from a cluster - it stays on the hosts and
> becomes unmanaged.
> 
> When the same operations are performed for a network with a label, I think
> the result should be the same - it is unclear to me why when removing from a
> cluster, we strip the label from the network first.
> 
> If we do want to maintain this behavior (although I find it confusing), I
> think we should do the same when removing a labelled network from a DC.

+1 for removing a network from hosts when the network is labelled.

I suggest to extend the "remove network" flow to contain "remove from hosts" property, and let the user if he wishes to preserve or not the networks.
We can have the same for "detach network from cluster" in order to achieve the symmetry.

Comment 4 Lior Vernia 2014-06-29 08:24:46 UTC
Good, so when removing a labelled network from a DC let's make the behavior consistent with removal from clusters.

Then, when we solve Bug 1062610, the desired behavior (leave unmanaged or remove from hosts) could be chosen whether the network had been labelled or not.

Comment 5 Eyal Edri 2014-09-10 20:21:33 UTC
fixed in vt3, moving to on_qa.
if you believe this bug isn't released in vt3, please report to rhev-integ@redhat.com

Comment 6 Meni Yakove 2014-09-14 08:24:27 UTC
rhevm-3.5.0-0.12.beta.el6ev.noarch

Comment 7 Julie 2014-12-01 23:48:50 UTC
Hi Martin,
   Please provide the doc text.

Cheers,
Julie

Comment 9 errata-xmlrpc 2015-02-11 18:00:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.